<!-- BEGIN: main -->
<body>
<style type="text/css">
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.modal-header {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: start;
    align-items: flex-start;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 3px;
    border-bottom: 1px solid #e9ecef;
    border-top-left-radius: .3rem;
    border-top-right-radius: .3rem;
}

/* Modal Content/Box */
.modal-content {
  background-color: #fefefe;
  margin: 2% auto; /* 15% from the top and centered */
  padding: 20px;
  border: 1px solid #888;
  width: 80%; /* Could be more or less, depending on screen size */
}

/* The Close Button */
.close {
  color: #aaa;
  float: right;
  font-size: 20px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}
.modal-footer {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: end;
    justify-content: flex-end;
    padding: 3px;
    border-top: 1px solid #e9ecef;
}
/*.details{
	margin-left: 76px;
}
.details tr td{
	padding: 5px 5px;
	border: 1px solid #000;
}*/
/*.details tr th{
	padding: 5px 5px;
}

*/
/*#modalbody{
  height: 500px;
  overflow-y: scroll;
  overflow-x: scroll;
}*/
/*.tableheader{
	position: fixed;
}*/
/*.details thead {
  position: fixed;
  top: 88px;
  left: 0;
  right: 0;
  width: 72%;
  height: 30px;
  margin-left: 163px;
  background: #eee;
  table-layout: fixed;
  display: table;
}*/
/*.details thead tr th:nth-child(odd) {
		width:20px;
}
.details thead tr th:nth-child(even) {
		width:20px;
}
.details tbody tr td:nth-child(odd) {
		width:20px;
}
.details tbody tr td:nth-child(even) {
		width:20px;
}*/

/*.details tbody td{
  width: 25% ;
}*/
/*.details tbody{
	position: absolute;
    top: 112px;
}*/
</style>

	<fieldset>
	<p align="right"><a href="#" onclick="opensummary();"><b>Brand Matrix summary</b></a></p>
		<legend>
			<font color="red">
				<b>Doctor Brand Matrix List:</b>
			</font>
		</legend>
			<form method="post" action="#" name="theForm" id="theForm">
			<div  id="detailview" class="formOuterBorder" style="position:absolute;width:100%;height:auto;background-color:#FFFFFF;overflow-y:scroll;">
			<div align="center" id="show_brandsummary" class="formOuterBorder" style="display:none;position:absolute;width:80%;height:auto;left:100px;background-color:#FFFFFF;overflow-y:scroll;"></div>
				<div id="outputdiv"  style=" width:100%;height:auto;overflow-y:scroll;">
					<table width="100%" cellspacing="0" cellpadding="0" border="0">
						<tr>
							<th>
								Sr No
							</th>
							<th>
								Doctor Name
							</th>
							<th>
								Speciality
							</th>
							<th>
								Frequency
							</th>
							<th>
								BM
							</th>
							{FOCUSSEDBRAND}
						</tr>
						{LISTOFRECORDS}
					</table>
				</div>
				<div style="width: 100%;">
					<table  cellspacing="4" cellpadding="4" border="0" style="margin-left: 540px;">
						<tr>
							<td colspan="4" style="text-align: center;">
								{PAGENUMBER}
							</td>
						</tr>
						<tr>
							<td>
								<input type="submit" value="Previous" name="previous" onClick="return previousSets();" {DISABLEPREVIOUS} />
							</td>
							<td>
								<input type="submit" value="Save" name="save" onClick="return validateSave();" />
							</td>
							<td>
								<input type="button" value="Submit" name="submit_first" onclick="return validateSubmit();"/>
							</td>
							<td>
								<input type="submit" value="Next" name="next" onClick="return nextSets();" {DISABLENEXT} />
							</td>
							<td>
								<input type="button" style="display: none;" value="Preview" name="preview" onClick="return opendetailsummary();" />
							</td>
						</tr>
					</table>
				</div>
			</div>
			{HDIV}			
			<input type="hidden" name="allcount" id="allcount" value="{HDIVCOUNT}" />
			<input type="hidden" name="constantbrand" id="constantbrand" value="{CONSTANTBRANDSCOUNT}" />
			<input type="hidden" name="fyear" id="fyear" value="{FYEAR}" />
			<input type="hidden" name="cycle" id="cycle" value="{CYCLE}" />
			<input type="hidden" name="record" id="record" value="{RECORD}" />
			<input type="hidden" name="mode" id="mode" value="{MODE}" />
			<input type="hidden" name="editedmode" id="editedmode" value="{EDITEDMODE}" />
			<input type="hidden" name="doctorlistname" id="doctorlistname" value="{DOCTORLISTNAME}" />
			<input type="hidden" value="TourPlans" name="module" />
			<input type="hidden" id="act" value="" name="action" />
			<input type="hidden" id="pagenum" value="{PAGENUM}" name="pagenum" />
			<input type="hidden" id="pageprevious" value="{PAGENUMPREV}" name="pageprevious" />
			<input type="hidden" id="isNxtPrv" value="0" name="isNxtPrv" />

			<div id="myModal" class="modal fade" role="dialog">
				<div class="modal-dialog modal-sm">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" style="margin-left:97%;" data-dismiss="modal"><img src="themes/blue/images/cross.png"></button>
						</div>
						<div class="modal-body" id="modalbody">
							
						</div>
						<div class="modal-footer">
							<input type="submit" value="Final Submit" name="submit" onclick="return save_overall();"/>
						</div>
					</div>
				</div>
			</div>
		</form>
	</fieldset>
</body>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>

<SCRIPT language="javascript">

	function validateSave() {
		var a = document.getElementById('act');
		a.value = 'brandMatrixSave';
		return true;
	}

	function updateField(id) {
		var v = id.split("_");
		var con = document.getElementById('constantbrand').value;
		var id1 = 'hbrandid_'+v[1]+'_'+v[2];
		var hiddenid = document.getElementById(id1);
		var id = document.getElementById(id);
		for (var i=0; i<con; i++) {
			if (v[2] == i) {
				continue;
			} else {
				var b = 'brand_'+v[1]+'_'+i;
				var restval = document.getElementById(b).value;
				if(id.value==restval && id.value!='') {
					alert('This brand is already selected');
					id.value='';
					return false;
				}
			}
		}
		hiddenid.value = id.value;
	}
	
	function validateSubmit() 
	{
		var conbrand = document.getElementById('constantbrand').value;
		var totalcount = document.getElementById('allcount').value;
		var flag = 0;
		var brandscnt;
		for (var i=1; i<=totalcount; i++) {
			brandscnt=0;
			for (var j=0; j<conbrand; j++) {
				var hbrand = document.getElementById('hbrandid_'+i+'_'+j).value;
				if (hbrand != '') {
					brandscnt++;
				}
			}

			if (brandscnt<2) {
				flag = 1;
			}
		}
		if (flag == 1) {
			alert('Please select atleast 2 brands for each doctor.');
			return false;
		}

		var count = document.getElementById('allcount').value;
		var params = $("#detaildata :input").serializeArray();
		var noofbrands = document.getElementById('constantbrand').value;
        $.ajax({
	        url: 'index.php?action=bussinessmonitor_ajax&module=Ajax',
	        type: 'post',
	        data: { "formdata": params,"count": count,"noofbrands": noofbrands},
		    success: function(response) 
		    { 
		    	$('#myModal').modal({show: 'true'}); 
		        document.getElementById('modalbody').innerHTML=response;
		    }
    	});

		// var a = document.getElementById('act');
		// a.value = 'brandMatrixSave';
		// return true;
	}

	function save_overall()
	{
		var a = document.getElementById('act');
		a.value = 'brandMatrixSave';
		//console.log(document.getElementById('theForm'));
		//document.getElementById('theForm').submit();
		return true;
	}

	function opendetailsummary()
	{
		var count = document.getElementById('allcount').value;
		var params = $("#detaildata :input").serializeArray();
		//debugger;
		//console.log(params);
		var noofbrands = document.getElementById('constantbrand').value;
        $.ajax({
	        url: 'index.php?action=bussinessmonitor_ajax&module=Ajax',
	        type: 'post',
	        data: { "formdata": params,"count": count,"noofbrands": noofbrands},
		    success: function(response) 
		    { 
		    	$('#myModal').modal({show: 'true'}); 
		        document.getElementById('modalbody').innerHTML=response;
		    }
    	});


	}
	
	function previousSets() {
		document.getElementById('isNxtPrv').value = '1';
		var a = document.getElementById('act');
		//a.value = 'brandMatrixEditView';
		a.value = 'brandMatrixSave';
		return true;
		//document.listform.submit();	
	}
	function nextSets() {
		document.getElementById('isNxtPrv').value = '1';
		var a = document.getElementById('act');
		//a.value = 'brandMatrixEditView';
		a.value = 'brandMatrixSave';
		return true;
		//document.listform.submit();		
	}	
	
	var req;
	function opensummary()
	{
		var conbrand = document.getElementById('constantbrand').value;
		var totalcount = document.getElementById('allcount').value;
		var data=new Array();
		for(var b=0;b<brandarray.length;b++)
		{
			var brandval="";
			//alert('brandid='+brandarray[b]);
			brandval=brandarray[b];
			for(var fb=0;fb<conbrand;fb++)
			{
				var fbsum=0;
				for(var d=1;d<=totalcount;d++)
				{
					var hbrand = document.getElementById('hbrandid_'+d+'_'+fb).value;
					if(hbrand==brandarray[b])
						fbsum=Number(fbsum)+Number(1);
				}
				brandval=brandval+'|'+fb+'_'+fbsum;
			}
			//alert(brandval);
			data.push(brandval);
		}
		var datavalue="";
		for(var i=0;i<data.length;i++)
		{
			datavalue=datavalue+data[i]+"/";
		}
		//alert(datavalue);
		
		
		if(window.XMLHttpRequest)
		{
			req = new XMLHttpRequest();
		}
		else if(window.ActiveXObject)
		{
			req = new ActiveXObject("Microsoft.XMLHTTP");
		}
		
		var constantbrand = document.getElementById('constantbrand').value;
		var allcount = document.getElementById('allcount').value;
		var fyear = document.getElementById('fyear').value;
		url='&constantbrand='+constantbrand+'&allcount='+allcount+'&fyear='+fyear+'&dataarray='+datavalue;
		//alert(url);
		req.open('post', 'index.php?module=TourPlans&action=brandMatrix_summary'+url);
		req.onreadystatechange = funresponse;
		req.send("null");
		
	}
	
	function funresponse()
	{	
		var div = document.getElementById('show_brandsummary');
		div.style.display="";
		div.innerHTML="<br><br><br><img src='themes/images/loading.gif'>";
		if(req.readyState == 4 && req.status == 200)
		{
			var response = req.responseText;
			if(response)
			{ 
				div.innerHTML = response;
				div.focus();
			}

		}

	}
	function closesummary()
	{
		var div = document.getElementById('show_brandsummary');
		div.style.display="none";
		
	}
	
</SCRIPT>
<!-- END: main -->